<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::capabilityAgents::speechSynthesizer::test::MockMediaPlayer Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.1.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><b>alexaClientSDK</b></li><li class="navelem"><b>capabilityAgents</b></li><li class="navelem"><b>speechSynthesizer</b></li><li class="navelem"><b>test</b></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html">MockMediaPlayer</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::capabilityAgents::speechSynthesizer::test::MockMediaPlayer Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for alexaClientSDK::capabilityAgents::speechSynthesizer::test::MockMediaPlayer:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player_inherit__map" id="alexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player_inherit__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html" title="alexaClientSDK::avsCommon\l::utils::mediaPlayer::MediaPlayer\lInterface" alt="" coords="5,5,221,57"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for alexaClientSDK::capabilityAgents::speechSynthesizer::test::MockMediaPlayer:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player__coll__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player_coll__map" alt="Collaboration graph"/></div>
<map name="alexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player_coll__map" id="alexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player_coll__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html" title="alexaClientSDK::avsCommon\l::utils::mediaPlayer::MediaPlayer\lInterface" alt="" coords="5,5,221,57"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a74a2b32429af89c43d119c0874f2436e"><td class="memItemLeft" align="right" valign="top"><a id="a74a2b32429af89c43d119c0874f2436e"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html#a74a2b32429af89c43d119c0874f2436e">MockMediaPlayer</a> ()</td></tr>
<tr class="memdesc:a74a2b32429af89c43d119c0874f2436e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor. <br /></td></tr>
<tr class="separator:a74a2b32429af89c43d119c0874f2436e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acc48329bb5e12698889d39a042039433"><td class="memItemLeft" align="right" valign="top"><a id="acc48329bb5e12698889d39a042039433"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html#acc48329bb5e12698889d39a042039433">~MockMediaPlayer</a> ()</td></tr>
<tr class="memdesc:acc48329bb5e12698889d39a042039433"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor. <br /></td></tr>
<tr class="separator:acc48329bb5e12698889d39a042039433"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aefaea85e4c7d0fcf5e94f44bcf6841e9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html#aefaea85e4c7d0fcf5e94f44bcf6841e9">setObserver</a> (std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_observer_interface.html">avsCommon::utils::mediaPlayer::MediaPlayerObserverInterface</a> &gt; playerObserver)</td></tr>
<tr class="separator:aefaea85e4c7d0fcf5e94f44bcf6841e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a22a4b9bc081b020813fd82e704ddf3b6"><td class="memItemLeft" align="right" valign="top"><a id="a22a4b9bc081b020813fd82e704ddf3b6"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MOCK_METHOD1</b> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a863f7a1d8fe9ef77ead9f9a70e533ffd">setSource</a>, MediaPlayerStatus(std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_reader.html">avsCommon::avs::attachment::AttachmentReader</a> &gt; attachmentReader))</td></tr>
<tr class="separator:a22a4b9bc081b020813fd82e704ddf3b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2f709dcfeb1351f3762e14310c52dcc1"><td class="memItemLeft" align="right" valign="top"><a id="a2f709dcfeb1351f3762e14310c52dcc1"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MOCK_METHOD2</b> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a863f7a1d8fe9ef77ead9f9a70e533ffd">setSource</a>, MediaPlayerStatus(std::shared_ptr&lt; std::istream &gt; stream, bool repeat))</td></tr>
<tr class="separator:a2f709dcfeb1351f3762e14310c52dcc1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a52d0ab243df50f3bc90be86b122952f5"><td class="memItemLeft" align="right" valign="top"><a id="a52d0ab243df50f3bc90be86b122952f5"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MOCK_METHOD1</b> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a863f7a1d8fe9ef77ead9f9a70e533ffd">setSource</a>, MediaPlayerStatus(const std::string &amp;url))</td></tr>
<tr class="separator:a52d0ab243df50f3bc90be86b122952f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adf104e8ea60239c3a86c8244fbfd50da"><td class="memItemLeft" align="right" valign="top"><a id="adf104e8ea60239c3a86c8244fbfd50da"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MOCK_METHOD0</b> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a39e55afe1f90c135f767824ea9e7de56">play</a>, MediaPlayerStatus())</td></tr>
<tr class="separator:adf104e8ea60239c3a86c8244fbfd50da"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf3e3bb639fd94a78ecd5693eb844a34"><td class="memItemLeft" align="right" valign="top"><a id="acf3e3bb639fd94a78ecd5693eb844a34"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MOCK_METHOD0</b> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#ac7034677f0614203a26f31475f16e324">stop</a>, MediaPlayerStatus())</td></tr>
<tr class="separator:acf3e3bb639fd94a78ecd5693eb844a34"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc8d49935d995e2a46e02d1b1f494bb6"><td class="memItemLeft" align="right" valign="top"><a id="adc8d49935d995e2a46e02d1b1f494bb6"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MOCK_METHOD0</b> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#aa3dc008a6c4d2b79da4d30d8ae82432b">pause</a>, MediaPlayerStatus())</td></tr>
<tr class="separator:adc8d49935d995e2a46e02d1b1f494bb6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:add2e26f7d9b4d41f45e53671278c7466"><td class="memItemLeft" align="right" valign="top"><a id="add2e26f7d9b4d41f45e53671278c7466"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MOCK_METHOD0</b> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#afb22095833dc3e9967fdb45c289332bd">resume</a>, MediaPlayerStatus())</td></tr>
<tr class="separator:add2e26f7d9b4d41f45e53671278c7466"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab3445e5d7880b525e8248fe3a7c95898"><td class="memItemLeft" align="right" valign="top"><a id="ab3445e5d7880b525e8248fe3a7c95898"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>MOCK_METHOD0</b> (<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#aa036356cea35577b0d5555a91a71b2b3">getOffset</a>, std::chrono::milliseconds())</td></tr>
<tr class="separator:ab3445e5d7880b525e8248fe3a7c95898"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0f9fedfa4e35c33f2d4679a56940b93c"><td class="memItemLeft" align="right" valign="top">MediaPlayerStatus&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html#a0f9fedfa4e35c33f2d4679a56940b93c">mockPlay</a> ()</td></tr>
<tr class="separator:a0f9fedfa4e35c33f2d4679a56940b93c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a25d092962c30dadcf467a8238f1ee0e6"><td class="memItemLeft" align="right" valign="top">MediaPlayerStatus&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html#a25d092962c30dadcf467a8238f1ee0e6">mockStop</a> ()</td></tr>
<tr class="separator:a25d092962c30dadcf467a8238f1ee0e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afcbf6fa3142b980dc9cd8eccfd6a69c2"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html#afcbf6fa3142b980dc9cd8eccfd6a69c2">waitForPlay</a> (const std::chrono::milliseconds duration=std::chrono::milliseconds(200))</td></tr>
<tr class="separator:afcbf6fa3142b980dc9cd8eccfd6a69c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6a200f7e0a880e88431a44a518e6938c"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html#a6a200f7e0a880e88431a44a518e6938c">waitForStop</a> (const std::chrono::milliseconds duration=std::chrono::milliseconds(200))</td></tr>
<tr class="separator:a6a200f7e0a880e88431a44a518e6938c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a689551ce5baa5ac4055ed7c565137a5e"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html#a689551ce5baa5ac4055ed7c565137a5e">waitUntilPlaybackStarted</a> (std::chrono::milliseconds timeout=std::chrono::milliseconds(200))</td></tr>
<tr class="separator:a689551ce5baa5ac4055ed7c565137a5e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7bb11b0c0bf65416ee5218c078c2d184"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html#a7bb11b0c0bf65416ee5218c078c2d184">waitUntilPlaybackFinished</a> (std::chrono::milliseconds timeout=std::chrono::milliseconds(200))</td></tr>
<tr class="separator:a7bb11b0c0bf65416ee5218c078c2d184"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html">alexaClientSDK::avsCommon::utils::mediaPlayer::MediaPlayerInterface</a></td></tr>
<tr class="memitem:a6ea8410b0e942e263e7b534f88b30ee3 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a6ea8410b0e942e263e7b534f88b30ee3">~MediaPlayerInterface</a> ()=default</td></tr>
<tr class="separator:a6ea8410b0e942e263e7b534f88b30ee3 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a863f7a1d8fe9ef77ead9f9a70e533ffd inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface"><td class="memItemLeft" align="right" valign="top">virtual MediaPlayerStatus&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a863f7a1d8fe9ef77ead9f9a70e533ffd">setSource</a> (std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1attachment_1_1_attachment_reader.html">avsCommon::avs::attachment::AttachmentReader</a> &gt; attachmentReader)=0</td></tr>
<tr class="separator:a863f7a1d8fe9ef77ead9f9a70e533ffd inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6df36422c7caadefdd438f4c938ed7e4 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface"><td class="memItemLeft" align="right" valign="top">virtual MediaPlayerStatus&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a6df36422c7caadefdd438f4c938ed7e4">setSource</a> (const std::string &amp;url)=0</td></tr>
<tr class="separator:a6df36422c7caadefdd438f4c938ed7e4 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af938277a89ad00f5d4b1884dee16080f inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface"><td class="memItemLeft" align="right" valign="top">virtual MediaPlayerStatus&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#af938277a89ad00f5d4b1884dee16080f">setSource</a> (std::shared_ptr&lt; std::istream &gt; stream, bool repeat)=0</td></tr>
<tr class="separator:af938277a89ad00f5d4b1884dee16080f inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6b75cc675041653fc26c5e07b7083f33 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface"><td class="memItemLeft" align="right" valign="top">virtual MediaPlayerStatus&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a6b75cc675041653fc26c5e07b7083f33">setOffset</a> (std::chrono::milliseconds offset)</td></tr>
<tr class="separator:a6b75cc675041653fc26c5e07b7083f33 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a39e55afe1f90c135f767824ea9e7de56 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface"><td class="memItemLeft" align="right" valign="top">virtual MediaPlayerStatus&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a39e55afe1f90c135f767824ea9e7de56">play</a> ()=0</td></tr>
<tr class="separator:a39e55afe1f90c135f767824ea9e7de56 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac7034677f0614203a26f31475f16e324 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface"><td class="memItemLeft" align="right" valign="top">virtual MediaPlayerStatus&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#ac7034677f0614203a26f31475f16e324">stop</a> ()=0</td></tr>
<tr class="separator:ac7034677f0614203a26f31475f16e324 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa3dc008a6c4d2b79da4d30d8ae82432b inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface"><td class="memItemLeft" align="right" valign="top">virtual MediaPlayerStatus&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#aa3dc008a6c4d2b79da4d30d8ae82432b">pause</a> ()=0</td></tr>
<tr class="separator:aa3dc008a6c4d2b79da4d30d8ae82432b inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afb22095833dc3e9967fdb45c289332bd inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface"><td class="memItemLeft" align="right" valign="top">virtual MediaPlayerStatus&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#afb22095833dc3e9967fdb45c289332bd">resume</a> ()=0</td></tr>
<tr class="separator:afb22095833dc3e9967fdb45c289332bd inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa036356cea35577b0d5555a91a71b2b3 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface"><td class="memItemLeft" align="right" valign="top">virtual std::chrono::milliseconds&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#aa036356cea35577b0d5555a91a71b2b3">getOffset</a> ()=0</td></tr>
<tr class="separator:aa036356cea35577b0d5555a91a71b2b3 inherit pub_methods_classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:ac5fc313eedcc52db8e2eabb0a881865c"><td class="memItemLeft" align="right" valign="top">static std::shared_ptr&lt; NiceMock&lt; <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html">MockMediaPlayer</a> &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html#ac5fc313eedcc52db8e2eabb0a881865c">create</a> ()</td></tr>
<tr class="separator:ac5fc313eedcc52db8e2eabb0a881865c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:aa68c8a98479698b1b35455011999ef51"><td class="memItemLeft" align="right" valign="top"><a id="aa68c8a98479698b1b35455011999ef51"></a>
std::condition_variable&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html#aa68c8a98479698b1b35455011999ef51">m_wakeTriggerPlay</a></td></tr>
<tr class="memdesc:aa68c8a98479698b1b35455011999ef51"><td class="mdescLeft">&#160;</td><td class="mdescRight">Condition variable to wake the @ waitForPlay. <br /></td></tr>
<tr class="separator:aa68c8a98479698b1b35455011999ef51"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a89b2288d8e099654942f09472f376863"><td class="memItemLeft" align="right" valign="top"><a id="a89b2288d8e099654942f09472f376863"></a>
std::condition_variable&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html#a89b2288d8e099654942f09472f376863">m_wakeTriggerStop</a></td></tr>
<tr class="memdesc:a89b2288d8e099654942f09472f376863"><td class="mdescLeft">&#160;</td><td class="mdescRight">Condition variable to wake the @ waitForStop. <br /></td></tr>
<tr class="separator:a89b2288d8e099654942f09472f376863"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a307c59672f810a416c7096402183fb20"><td class="memItemLeft" align="right" valign="top"><a id="a307c59672f810a416c7096402183fb20"></a>
std::mutex&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html#a307c59672f810a416c7096402183fb20">m_mutex</a></td></tr>
<tr class="memdesc:a307c59672f810a416c7096402183fb20"><td class="mdescLeft">&#160;</td><td class="mdescRight">mutex to protect <code>m_play</code>, <code>m_stop</code> and <code>m_shutdown</code>. <br /></td></tr>
<tr class="separator:a307c59672f810a416c7096402183fb20"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab1f6b9a2d5eda790258aee6930b9c2df"><td class="memItemLeft" align="right" valign="top"><a id="ab1f6b9a2d5eda790258aee6930b9c2df"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html#ab1f6b9a2d5eda790258aee6930b9c2df">m_play</a></td></tr>
<tr class="memdesc:ab1f6b9a2d5eda790258aee6930b9c2df"><td class="mdescLeft">&#160;</td><td class="mdescRight">Flag to indicate <code>play</code> was called. <br /></td></tr>
<tr class="separator:ab1f6b9a2d5eda790258aee6930b9c2df"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abfc56638a236e32e39e15bf947ebe125"><td class="memItemLeft" align="right" valign="top"><a id="abfc56638a236e32e39e15bf947ebe125"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html#abfc56638a236e32e39e15bf947ebe125">m_stop</a></td></tr>
<tr class="memdesc:abfc56638a236e32e39e15bf947ebe125"><td class="mdescLeft">&#160;</td><td class="mdescRight">Flag to indicate <code>stop</code> was called. <br /></td></tr>
<tr class="separator:abfc56638a236e32e39e15bf947ebe125"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4c3b690cbad09644b87229a40f9d3463"><td class="memItemLeft" align="right" valign="top"><a id="a4c3b690cbad09644b87229a40f9d3463"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html#a4c3b690cbad09644b87229a40f9d3463">m_shutdown</a></td></tr>
<tr class="memdesc:a4c3b690cbad09644b87229a40f9d3463"><td class="mdescLeft">&#160;</td><td class="mdescRight">Flag to indicate when <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html">MockMediaPlayer</a> is shutting down. <br /></td></tr>
<tr class="separator:a4c3b690cbad09644b87229a40f9d3463"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac62d62688f69dfb9efa574296aa6c135"><td class="memItemLeft" align="right" valign="top"><a id="ac62d62688f69dfb9efa574296aa6c135"></a>
std::thread&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html#ac62d62688f69dfb9efa574296aa6c135">m_playThread</a></td></tr>
<tr class="memdesc:ac62d62688f69dfb9efa574296aa6c135"><td class="mdescLeft">&#160;</td><td class="mdescRight">Thread to run <code>waitForPlay</code> asynchronously. <br /></td></tr>
<tr class="separator:ac62d62688f69dfb9efa574296aa6c135"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5058d4876cf27e6bdcfb79b03e18e62f"><td class="memItemLeft" align="right" valign="top"><a id="a5058d4876cf27e6bdcfb79b03e18e62f"></a>
std::thread&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html#a5058d4876cf27e6bdcfb79b03e18e62f">m_stopThread</a></td></tr>
<tr class="memdesc:a5058d4876cf27e6bdcfb79b03e18e62f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Thread to run <code>waitForStop</code> asynchronously. <br /></td></tr>
<tr class="separator:a5058d4876cf27e6bdcfb79b03e18e62f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0b339f83fc444ba69deeb59b01d91fbc"><td class="memItemLeft" align="right" valign="top"><a id="a0b339f83fc444ba69deeb59b01d91fbc"></a>
std::promise&lt; void &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html#a0b339f83fc444ba69deeb59b01d91fbc">m_wakePlayPromise</a></td></tr>
<tr class="memdesc:a0b339f83fc444ba69deeb59b01d91fbc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Promise to be fulfilled when <code>play</code> is called. <br /></td></tr>
<tr class="separator:a0b339f83fc444ba69deeb59b01d91fbc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa4ff8056b1eeff8bd6883617d96d036e"><td class="memItemLeft" align="right" valign="top"><a id="aa4ff8056b1eeff8bd6883617d96d036e"></a>
std::future&lt; void &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html#aa4ff8056b1eeff8bd6883617d96d036e">m_wakePlayFuture</a></td></tr>
<tr class="memdesc:aa4ff8056b1eeff8bd6883617d96d036e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Future to notify when <code>play</code> is called. <br /></td></tr>
<tr class="separator:aa4ff8056b1eeff8bd6883617d96d036e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa319c1248acd34d39649dd8f2781455b"><td class="memItemLeft" align="right" valign="top"><a id="aa319c1248acd34d39649dd8f2781455b"></a>
std::promise&lt; void &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html#aa319c1248acd34d39649dd8f2781455b">m_wakeStopPromise</a></td></tr>
<tr class="memdesc:aa319c1248acd34d39649dd8f2781455b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Promise to be fulfilled when <code>stop</code> is called. <br /></td></tr>
<tr class="separator:aa319c1248acd34d39649dd8f2781455b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ade80c682e1a6cfec3147f5c7894c2edc"><td class="memItemLeft" align="right" valign="top"><a id="ade80c682e1a6cfec3147f5c7894c2edc"></a>
std::future&lt; void &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html#ade80c682e1a6cfec3147f5c7894c2edc">m_wakeStopFuture</a></td></tr>
<tr class="memdesc:ade80c682e1a6cfec3147f5c7894c2edc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Future to notify when <code>stop</code> is called. <br /></td></tr>
<tr class="separator:ade80c682e1a6cfec3147f5c7894c2edc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5113ed0512d769ff05193e3070ab88f5"><td class="memItemLeft" align="right" valign="top"><a id="a5113ed0512d769ff05193e3070ab88f5"></a>
std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_observer_interface.html">avsCommon::utils::mediaPlayer::MediaPlayerObserverInterface</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html#a5113ed0512d769ff05193e3070ab88f5">m_playerObserver</a></td></tr>
<tr class="memdesc:a5113ed0512d769ff05193e3070ab88f5"><td class="mdescLeft">&#160;</td><td class="mdescRight">The player observer to be notified of the media player state changes. <br /></td></tr>
<tr class="separator:a5113ed0512d769ff05193e3070ab88f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ac5fc313eedcc52db8e2eabb0a881865c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac5fc313eedcc52db8e2eabb0a881865c">&#9670;&nbsp;</a></span>create()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt; NiceMock&lt; <a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html">MockMediaPlayer</a> &gt; &gt; alexaClientSDK::capabilityAgents::speechSynthesizer::test::MockMediaPlayer::create </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Creates an instance of the <code><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html">MockMediaPlayer</a></code>.</p>
<dl class="section return"><dt>Returns</dt><dd>An instance of the <code><a class="el" href="classalexa_client_s_d_k_1_1capability_agents_1_1speech_synthesizer_1_1test_1_1_mock_media_player.html">MockMediaPlayer</a></code>. </dd></dl>

</div>
</div>
<a id="a0f9fedfa4e35c33f2d4679a56940b93c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0f9fedfa4e35c33f2d4679a56940b93c">&#9670;&nbsp;</a></span>mockPlay()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">MediaPlayerStatus alexaClientSDK::capabilityAgents::speechSynthesizer::test::MockMediaPlayer::mockPlay </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This is a mock method which will signal to <code>waitForPlay</code> to send the play started notification to the observer.</p>
<dl class="section return"><dt>Returns</dt><dd><code>SUCCESS</code>. </dd></dl>

</div>
</div>
<a id="a25d092962c30dadcf467a8238f1ee0e6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a25d092962c30dadcf467a8238f1ee0e6">&#9670;&nbsp;</a></span>mockStop()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">MediaPlayerStatus alexaClientSDK::capabilityAgents::speechSynthesizer::test::MockMediaPlayer::mockStop </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>This is a mock method which will signal to <code>waitForStop</code> to send the play finished notification to the observer.</p>
<dl class="section return"><dt>Returns</dt><dd><code>SUCCESS</code>. </dd></dl>

</div>
</div>
<a id="aefaea85e4c7d0fcf5e94f44bcf6841e9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aefaea85e4c7d0fcf5e94f44bcf6841e9">&#9670;&nbsp;</a></span>setObserver()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void alexaClientSDK::capabilityAgents::speechSynthesizer::test::MockMediaPlayer::setObserver </td>
          <td>(</td>
          <td class="paramtype">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_observer_interface.html">avsCommon::utils::mediaPlayer::MediaPlayerObserverInterface</a> &gt;&#160;</td>
          <td class="paramname"><em>playerObserver</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sets an observer to be notified when playback state changes.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">playerObserver</td><td>The observer to send the notifications to. </td></tr>
  </table>
  </dd>
</dl>

<p>Implements <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1utils_1_1media_player_1_1_media_player_interface.html#a612495025a57c1bab88e8be5f7c0bbf4">alexaClientSDK::avsCommon::utils::mediaPlayer::MediaPlayerInterface</a>.</p>

</div>
</div>
<a id="afcbf6fa3142b980dc9cd8eccfd6a69c2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afcbf6fa3142b980dc9cd8eccfd6a69c2">&#9670;&nbsp;</a></span>waitForPlay()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::capabilityAgents::speechSynthesizer::test::MockMediaPlayer::waitForPlay </td>
          <td>(</td>
          <td class="paramtype">const std::chrono::milliseconds&#160;</td>
          <td class="paramname"><em>duration</em> = <code>std::chrono::milliseconds(200)</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Waits for play to be called. It notifies the observer that play has started.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">duration</td><td>Time to wait for a play to be called before notifying observer that an error occurred. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd><code>true</code> if play was called within the timeout duration else <code>false</code>. </dd></dl>

</div>
</div>
<a id="a6a200f7e0a880e88431a44a518e6938c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6a200f7e0a880e88431a44a518e6938c">&#9670;&nbsp;</a></span>waitForStop()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::capabilityAgents::speechSynthesizer::test::MockMediaPlayer::waitForStop </td>
          <td>(</td>
          <td class="paramtype">const std::chrono::milliseconds&#160;</td>
          <td class="paramname"><em>duration</em> = <code>std::chrono::milliseconds(200)</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Waits for stop to be called. It notifies the observer that play has finished.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">duration</td><td>Time to wait for a stop to be called before notifying observer that an error occurred. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd><code>true</code> if stop was called within the timeout duration else <code>false</code>. </dd></dl>

</div>
</div>
<a id="a7bb11b0c0bf65416ee5218c078c2d184"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7bb11b0c0bf65416ee5218c078c2d184">&#9670;&nbsp;</a></span>waitUntilPlaybackFinished()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::capabilityAgents::speechSynthesizer::test::MockMediaPlayer::waitUntilPlaybackFinished </td>
          <td>(</td>
          <td class="paramtype">std::chrono::milliseconds&#160;</td>
          <td class="paramname"><em>timeout</em> = <code>std::chrono::milliseconds(200)</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Waits for the promise <code>m_wakeStopPromise</code> to be fulfilled and the future to be notified of call to <code>stop</code>.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">timeout</td><td>The duration to wait for the future to be ready. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd><code>true</code> if <code>stop</code> was called within the <code>timeout</code> else <code>false</code>. </dd></dl>

</div>
</div>
<a id="a689551ce5baa5ac4055ed7c565137a5e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a689551ce5baa5ac4055ed7c565137a5e">&#9670;&nbsp;</a></span>waitUntilPlaybackStarted()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool alexaClientSDK::capabilityAgents::speechSynthesizer::test::MockMediaPlayer::waitUntilPlaybackStarted </td>
          <td>(</td>
          <td class="paramtype">std::chrono::milliseconds&#160;</td>
          <td class="paramname"><em>timeout</em> = <code>std::chrono::milliseconds(200)</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Waits for the promise <code>m_wakePlayPromise</code> to be fulfilled and the future to be notified of call to <code>play</code>.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">timeout</td><td>The duration to wait for the future to be ready. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd><code>true</code> if <code>play</code> was called within the <code>timeout</code> else <code>false</code>. </dd></dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/Users/sdy/AVS_CPP_SDK/github/alexa-client-sdk/CapabilityAgents/SpeechSynthesizer/test/SpeechSynthesizerTest.cpp</li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.1.0 - Copyright 2016-2017 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
